package cmd

import (
	"io"
	"text/template"

	"go.fifitido.net/cmd/opt"
)

func WritePowerShellCompletions(out io.Writer, rootCmd *Command) error {
	return powerShellTpl.Execute(out, map[string]any{
		"rootCmd":    rootCmd,
		"globalOpts": opt.Globals(),
	})
}

var powerShellTpl = template.Must(template.New("PowerShell").Parse(`
	
`))
